* Initialize
global datapath 		"C:\Users\tx8\Dropbox\Stability Ambiguity Aversion\Submissions\JOEP\Data\"

clear 

cd "$datapath"
use stacked_labdata.dta, clear

* Table 6: Order Effects**************************************************************

drop if urn_id=="sep"
drop if urn_id=="PF3"
drop if urn_id=="PP3"
drop if urn_id=="5"
drop if urn_id=="6"


tab session, gen(sess_)
tab urn_nb, gen(urn_nb_)
gen rand_d= (randomization==.)
gen randd=randomization
replace randd=0 if rand_d==1

probit AA urn_nb_1-urn_nb_3 , cluster(Id) 
outreg2 using analyse/outputs/probit_ordereffect.doc, replace auto(2) alpha(0.001, 0.01, 0.05)
probit AN urn_nb_1-urn_nb_3 , cluster(Id) 
outreg2 using analyse/outputs/probit_ordereffect.doc, append auto(2) alpha(0.001, 0.01, 0.05)
probit AL urn_nb_1-urn_nb_3 , cluster(Id) 
outreg2 using analyse/outputs/probit_ordereffect.doc, append auto(2) alpha(0.001, 0.01, 0.05)

reg AA urn_nb_1-urn_nb_3 , cluster(Id) 
outreg2 using analyse/outputs/probit_ordereffect.doc, appen auto(2) alpha(0.001, 0.01, 0.05)
reg AN urn_nb_1-urn_nb_3 , cluster(Id) 
outreg2 using analyse/outputs/probit_ordereffect.doc, append auto(2) alpha(0.001, 0.01, 0.05)
reg AL urn_nb_1-urn_nb_3 , cluster(Id) 
outreg2 using analyse/outputs/probit_ordereffect.doc, append auto(2) alpha(0.001, 0.01, 0.05)
