* Initialize
global datapath 		"C:\Users\tx8\Dropbox\Stability Ambiguity Aversion\Submissions\JOEP\Data"

cd "$datapath"
use labdata_fin.dta,clear

****normal payment
*6) 2months vs backtoback
ttest consP_PP_FF = consP_samecond_nodel 
signrank  consP_PP_FF = consP_samecond_nodel 


****with coin
* 10min vs 2 months
ranksum consP_PP_FF, by(coin)
ttest consP_PP_FF, by(coin)

* 10min vs backtoback
gen cons_10min=consP_samecond_nodel if coin==0
replace cons_10min=consP_PP_FF if coin==1
ttest cons_10min, by(coin)
ranksum cons_10min, by(coin)

****delayed payment
*2) 2months-delay vs 10 minutes-delay
ttest  consP_PF_FF = consP_PP_PF
signrank  consP_PF_FF = consP_PP_PF

*3) 2months-delay vs backtoback-delay
ttest  consP_PF_FF = consP_samecond_del
signrank  consP_PF_FF = consP_samecond_del

*7)10Min-delay vs backtoback-delay
ttest  consP_PP_PF = consP_samecond_del
signrank  consP_PP_PF = consP_samecond_del


****across payment types
*1) 2months-delay vs 2months
ttest  consP_PF_FF = consP_PP_FF
signrank  consP_PF_FF = consP_PP_FF
*neu) backtoback vs backtoback-delay
ttest  consP_samecond_del = consP_samecond_nodel
signrank  consP_samecond_del = consP_samecond_nodel


***memory test

*10) 2months
ranksum consP_PP_FF, by(rem_allPF)

*9) 2months-delay
ranksum consP_PF_FF, by(rem_allPF)

*11) backtoback
ranksum consP_samecond_nodel, by(rem_allPF)	

*12) backtoback-delay
ranksum consP_samecond_del, by(rem_allPF)	


***risk

ranksum cons_hl, by(coin)
